Bug 61169 - [Chromium] optimize-contrast-canvas.html and optimize-contrast-image.html fails
Summary: [Chromium] optimize-contrast-canvas.html and optimize-contrast-image.html fails
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mike Lawther
URL:
Keywords:
Depends on:
Blocks: 108022
  Show dependency treegraph
 
Reported: 2011-05-19 23:21 PDT by Fumitoshi Ukai
Modified: 2013-04-08 14:16 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Adam Klein 2011-05-24 09:25:21 PDT
Committed r87159: <http://trac.webkit.org/changeset/87159>
Comment 2 Adam Klein 2011-05-24 09:26:06 PDT
Leaving bug open, patch simply added expectations.
Comment 3 Adam Klein 2011-05-26 11:59:36 PDT
Mike/James, any comments on these failures?  The results on Win & Linux look very different (they have gradients) from the Mac results.
Comment 4 Mike Lawther 2011-05-26 15:34:09 PDT
Hi Adam - the gradient look is because Skia is doing a bilinear interpolation instead of a nearest-neighbour - hence the blurring of the edges. The tests are scaling a 2x2 image to 100x100, hence the obviousness of the difference.

I need to look into this - Skia is doing something different with InterpolationQualityNone than what I expect.
Comment 5 Peter Kasting 2011-08-23 14:47:19 PDT
Ping.  It's been three months, this may have fallen off your radar.